Subject: RE: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Fri, 28 Feb 2003 15:15:18 -0500

Your comment re "legitimate requirements" has everything to do with the relationship with other SDOs,
which is currently implicitly coupled into the liaison discussions.  My concern,
as is also expressed in Steve Trowbridge's earlier comments, is related to the Gatekeeper role that you are
appearing to advocate.

For individual contributor drafts coming in, it's quite appropriate to evaluate
requirements and determine if they are legitimate.  It's a different
case when another SDO, responsible for a non-IP applications domain,
has established a set of requirements related to that domain.  

Eve

-----Original Message-----
From: Curtis Villamizar [mailto:[email-masked]]
Sent: Friday, February 28, 2003 2:58 PM
To: George Newsome
Cc: [email-masked]; Stephen Trowbridge; Loa Andersson;
[email-masked]
Subject: Re: I-D ACTION:draft-andersson-mpls-g-chng-proc-00.txt 

In message <[email-masked]>, George Newsome writes:
> Curtis Villamizar wrote:
> 
> > Steve,
> > 
> > Loa's draft documents IETF process that has pretty much been put into
> > place under the guidance of the IESG to keep the level of junk down to
> > a minimum and insure that extensions both address real needs and their
> > deployment is feasible.  The sooner participants in outside SDOs
> > recognize this, the better for them.
> 
> So in the spirit of reducing the amount of junk to IESG, it seems that 
> the IETF already understand their process, so this ID can be dropped.

Can we stick to constructive comments.

Determining that there are legitimate requirements is a good thing and
so Loa's draft should go forward.  As Deborah pointed out the mention
of liason should be removed to decouple the two issues.

> > Earlier you stated, that if an outside SDO specified an extension and
> > you expect the IETF to simply accept that.  It may turn out that the
> > IETF has documented their process in rfc2026 and clarified it here and
> > you simply have to accept that.  :-)
> 
> The IETF doesn't collaborate with other SDO's, so there is no need for 
> any further discussion on mechanisms for collaboration, and one less ID 
> is needed.

This draft wasn't intended to address liason.  It doesn't but it
serves a useful purpose.  Its clear we don't have full consensus on
SDO liason relationships to the IETF.

Those who wish to have liasons be given special consideration in the
IETF have brought up the orthogonal topic of liasons.  This document
is about having agreed upon requirements before considering protocol
extensions.

> George

Curtis

---

From: Curtis Villamizar <[email-masked]>
Date: Fri, 28 Feb 2003 15:48:31 -0500

> Your comment re "legitimate requirements" has everything to do with
> the relatio nship with other SDOs, which is currently implicitly
> coupled into the liaison discussions.  My concern , as is also
> expressed in Steve Trowbridge's earlier comments, is related to the
> Gatekeeper role that you are appearing to advocate.
>  
> For individual contributor drafts coming in, it's quite appropriate to
> evaluate requirements and determine if they are legitimate.  It's a
> different case when another SDO, responsible for a non-IP applications
> domain, has established a set of requirements related to that domain.
>  
> Eve

If we remove all mention of liason, then the document applies to all
individual submissions.  You are not arguing that this is a bad thing
for individual submissions.

A second orthogonal issue which this draft does not address is whether
liason internet-drafts would be given special consideration or would
continue to be handled as individual submissions.

If the mention of liasons is removed and there are no further issues,
we can move forward with this draft.  [Then discuss the liason issue
later and preferably on some other list.]

Curtis

---

From: Eric Rosen <[email-masked]>
Date: Fri, 28 Feb 2003 15:54:13 -0500

Eve> For individual contributor drafts  coming in, it's quite appropriate to
Eve> evaluate  requirements and determine  if they  are legitimate.   It's a
Eve> different case when another  SDO, responsible for a non-IP applications
Eve> domain, has established a set of requirements related to that domain.

I'd certainly  disagree with  that.  Many of  the "requirements" I  see from
other  organizations  are  not   requirements  at  all,  but  just  dogmatic
statements  of connection-oriented  religion.  If  the IETF  were  to accept
requirements from  other organizations, it  would quickly be  inundated with
"requirements"  to make IP  behave exactly  like ATM.   In fact,  anyone who
works in the PWE3 group can testify that such "requirements" come in all the
time.